VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Cis::Tagging::TagModel Class Reference
Inheritance diagram for Com::Vmware::Cis::Tagging::TagModel:

## Avaliable Methods
public method | set_description ()
public method | get_id ()
public method | get_category_id ()
public method | set_name ()
public method | set_id ()
public method | get_used_by ()
public method | get_description ()
public method | set_category_id ()
public method | set_used_by ()
public method | new ()
public method | get_name ()

## Detailed Description

The `Com::Vmware::Cis::Tagging::TagModel` class defines a tag that can be attached to vSphere objects.

## Member Function Documentation

public method Com::Vmware::Cis::Tagging::TagModel::get_category_id | ( |  | ) |

Gets the value of 'category_id' property.

Return values

  category_id | - The current value of the field. The identifier of the parent category in which this tag will be created. ID#

Code:
click to view
# Number of lines of code in get_category_id: 4
sub get_category_id {
my ($self, %args) = @_;
return $self->{'category_id'};
}

public method Com::Vmware::Cis::Tagging::TagModel::get_description | ( |  | ) |

Gets the value of 'description' property.

Return values

  description | - The current value of the field. The description of the tag. String#

Code:
click to view
# Number of lines of code in get_description: 4
sub get_description {
my ($self, %args) = @_;
return $self->{'description'};
}

public method Com::Vmware::Cis::Tagging::TagModel::get_id | ( |  | ) |

Gets the value of 'id' property.

Return values

  id | - The current value of the field. The unique identifier of the tag. ID#

Code:
click to view
# Number of lines of code in get_id: 4
sub get_id {
my ($self, %args) = @_;
return $self->{'id'};
}

public method Com::Vmware::Cis::Tagging::TagModel::get_name | ( |  | ) |

Gets the value of 'name' property.

Return values

  name | - The current value of the field. The display name of the tag. String#

Code:
click to view
# Number of lines of code in get_name: 4
sub get_name {
my ($self, %args) = @_;
return $self->{'name'};
}

public method Com::Vmware::Cis::Tagging::TagModel::get_used_by | ( |  | ) |

Gets the value of 'used_by' property.

Return values

  used_by | - The current value of the field. The set of users that can use this tag. To add users to this, you need to have the edit privilege on the tag. Similarly, to unsubscribe from this tag, you need the edit privilege on the tag. You should not modify other users subscription from this setSet#

Code:
click to view
# Number of lines of code in get_used_by: 4
sub get_used_by {
my ($self, %args) = @_;
return $self->{'used_by'};
}

public method Com::Vmware::Cis::Tagging::TagModel::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Cis::Tagging::TagModel structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 24
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{id} = $args{'id'};
$self->{category_id} = $args{'category_id'};
$self->{name} = $args{'name'};
$self->{description} = $args{'description'};
$self->{used_by} = $args{'used_by'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Cis::Tagging::TagModel');
$self->set_binding_name('name' => 'com.vmware.cis.tagging.tag_model');
$self->set_binding_field('key' => 'id', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'category_id', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'name', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'description', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'used_by', 'value' => new Com::Vmware::Vapi::Bindings::Type::SetType('binding_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StringType())));
bless $self, $class;
return $self;
}

public method Com::Vmware::Cis::Tagging::TagModel::set_category_id | ( |  | ) |

Sets the given value for 'category_id' property.

Parameters

  category_id | - New value for the field. The identifier of the parent category in which this tag will be created.

Code:
click to view
# Number of lines of code in set_category_id: 5
sub set_category_id {
my ($self, %args) = @_;
$self->{'category_id'} = $args{'category_id'};
return;
}

public method Com::Vmware::Cis::Tagging::TagModel::set_description | ( |  | ) |

Sets the given value for 'description' property.

Parameters

  description | - New value for the field. The description of the tag.

Code:
click to view
# Number of lines of code in set_description: 5
sub set_description {
my ($self, %args) = @_;
$self->{'description'} = $args{'description'};
return;
}

public method Com::Vmware::Cis::Tagging::TagModel::set_id | ( |  | ) |

Sets the given value for 'id' property.

Parameters

  id | - New value for the field. The unique identifier of the tag.

Code:
click to view
# Number of lines of code in set_id: 5
sub set_id {
my ($self, %args) = @_;
$self->{'id'} = $args{'id'};
return;
}

public method Com::Vmware::Cis::Tagging::TagModel::set_name | ( |  | ) |

Sets the given value for 'name' property.

Parameters

  name | - New value for the field. The display name of the tag.

Code:
click to view
# Number of lines of code in set_name: 5
sub set_name {
my ($self, %args) = @_;
$self->{'name'} = $args{'name'};
return;
}

public method Com::Vmware::Cis::Tagging::TagModel::set_used_by | ( |  | ) |

Sets the given value for 'used_by' property.

Parameters

  used_by | - New value for the field. The set of users that can use this tag. To add users to this, you need to have the edit privilege on the tag. Similarly, to unsubscribe from this tag, you need the edit privilege on the tag. You should not modify other users subscription from this set Code: click to view # Number of lines of code in set_used_by: 5 sub set_used_by { my ($self, %args) = @_; $self->{'used_by'} = $args{'used_by'}; return; }

The documentation for this class was generated from the following file:

- Com/Vmware/Cis/Tagging/TagModel.pm